// *** ================================================================ ***
// ***  MAIL SCAN for QMAIL
// ***  --------------------------------------------------------------
// ***  Copyright 2004- By STARS System Ltd. Allrights Reserved
// ***  Author Contact Address:
// ***      STARS System Inc. Technical Division.
// ***      2-3-11 Mahikizawa APT #2B
// ***      Tama-Shi, Tokyo, Japan 206-0023
// ***      TEL: +81-42-310-1761, FAX: +81-42-310-1762
// ***  --------------------------------------------------------------
// ***  Product Functionality
// ***
// *** ================================================================ ***

#include "qmail-checker.h"

int sub_clean_up(MAIN_INFO_T *pmf)
{
	char	wrkbuf[1024] ;
	DIR    *pdir ;
	struct  dirent *dirent ;

	fprintf( stderr, "QMCK: sub_clean_up start\n" ) ;

	if ( (pdir = opendir( pmf->path_wrkdir )) == NULL )
	{
		fprintf( stderr, "QMCK: sub_clean_up open dir (%s) failed\n", pmf->path_wrkdir ) ;
		return -1 ;
	}

	while( (dirent = readdir( pdir )) != NULL )
	{
		if ( !strcmp( dirent->d_name, "." ) || !strcmp( dirent->d_name, ".." ) )
		{
			continue ;
		}
		fprintf( stderr, "QMCK: unlinking (%s)\n", dirent->d_name ) ;
		sprintf( wrkbuf, "%s/%s", pmf->path_wrkdir, dirent->d_name ) ;
		unlink ( wrkbuf ) ;
	}

	closedir( pdir ) ;

	fprintf( stderr, "QMCK: clean up directory (%s)\n", pmf->path_wrkdir ) ;
	rmdir( pmf->path_wrkdir ) ;

	return 0 ;
}
