// *** ================================================================ ***
// ***  MAIL SCAN for QMAIL
// ***  --------------------------------------------------------------
// ***  Copyright 2004- By STARS System Ltd. Allrights Reserved
// ***  Author Contact Address:
// ***      STARS System Inc. Technical Division.
// ***      2-3-11 Mahikizawa APT #2B
// ***      Tama-Shi, Tokyo, Japan 206-0023
// ***      TEL: +81-42-310-1761, FAX: +81-42-310-1762
// ***  --------------------------------------------------------------
// ***  Product Functionality
// ***
// *** ================================================================ ***

#include "qmail-checker.h"

int sub_fd_change(MAIN_INFO_T *pmf, int nfrom, int nto)
{
	if ( nfrom == nto )
	{
		return 0 ;
	}
	if ( fcntl( nfrom, F_GETFL, 0 ) == -1 )
	{
		fprintf( stderr, "QMCK: sub_fd_change fcntl(F_GETFL) failed\n" ) ;
		return -1 ;
	}
	close( nto ) ;
	if ( fcntl( nfrom, F_DUPFD, nto ) == -1 )
	{
		fprintf( stderr, "QMCK: sub_fd_change fcntl(F_DUPFD) failed\n" ) ;
		return -1 ;
	}
	close( nfrom ) ;

	return 0 ;
}
