// *** ================================================================ ***
// ***  MAIL SCAN for QMAIL
// ***  --------------------------------------------------------------
// ***  Copyright 2004- By STARS System Ltd. Allrights Reserved
// ***  Author Contact Address:
// ***      STARS System Inc. Technical Division.
// ***      2-3-11 Mahikizawa APT #2B
// ***      Tama-Shi, Tokyo, Japan 206-0023
// ***      TEL: +81-42-310-1761, FAX: +81-42-310-1762
// ***  --------------------------------------------------------------
// ***  Product Functionality
// ***  Main Header File
// *** ================================================================ ***

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <options.h>
#include <fcntl.h>
#include <sys/types.h>
#include <unistd.h>
#include <errno.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <unistd.h>
#include <dirent.h>

extern int errno ;

//*****************************************************************
//*	Maros 
//*****************************************************************

#define child_status(w) ((w) >> 8)
#define child_crashed(w) ((w) & 127)

//*****************************************************************
//* Global Data Structure
//*****************************************************************

typedef struct
{
	int		stat_virus ;				//	true if virus found
	char	path_wrkdir[1024] ;			//	Mail Temporary Path
	char	path_qmailq[1024] ;			//	qmail-queue path
	char	path_ripmim[1024] ;			//	ripmime path
	char	path_maildr[1024] ;			//	Mail Message Buffer
	char	path_envelp[1024] ;			//	Envelope Path
	char	path_clamav[1024] ;			//	Clamscan path
	char	path_virusd[1024] ;			//	Virus Database path
	char	mail_addres[1024] ;			//	admin mail address
	char	mail_from  [1024] ;			//	mail sender address
	char	mail_to    [1024] ;			//	file name of recipients
} MAIN_INFO_T ;

//*****************************************************************
//* External Variable
//*****************************************************************

extern MAIN_INFO_T     gmf ;

//*****************************************************************
//* Function Prototype
//*****************************************************************

int sub_copy_mail(MAIN_INFO_T *pmf) ;
int sub_send_qmailque(MAIN_INFO_T *pmf) ;
int sub_initial_proc(MAIN_INFO_T *pmf, int nargc, char *pargv[]) ;
int sub_clean_up(MAIN_INFO_T *pmf) ;
int sub_check_mail(MAIN_INFO_T *pmf) ;
int sub_process_mail(MAIN_INFO_T *pmf) ;
int sub_disasm_mail(MAIN_INFO_T *pmf) ;
int sub_get_envelope(MAIN_INFO_T *pmf) ;
int sub_fd_change(MAIN_INFO_T *pmf, int nfrom, int nto) ;
int sub_get_ctime(char *timbuf, int nlen) ;
